MDWParserInternal::State Struct Reference

Internal: the state of a MDWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character More...
int | m_numLinesByZone [3]
| the number of paragraph by zones ( main, header, footer ) More...
ZoneInfo | m_zones [3]
| the zones More...
std::multimap< std::string, MWAWEntry > | m_entryMap
| the zones map More...
ListProperties | m_listProperties
| the list properties More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the actual list id More...
int | m_footerHeight
| the footer height if known More...
std::vector< Field > | m_headerFieldList
| the header field list More...
std::vector< Field > | m_footerFieldList
| the footer field list More...

## Detailed Description

Internal: the state of a MDWParser.

## Constructor & Destructor Documentation

MDWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MDWParserInternal::State::m_actPage

the actual page

std::string MDWParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

std::multimap<std::string, MWAWEntry> MDWParserInternal::State::m_entryMap

the zones map

std::vector<Field> MDWParserInternal::State::m_footerFieldList

the footer field list

int MDWParserInternal::State::m_footerHeight

the footer height if known

std::vector<Field> MDWParserInternal::State::m_headerFieldList

the header field list

int MDWParserInternal::State::m_headerHeight

the actual list id

the header height if known

ListProperties MDWParserInternal::State::m_listProperties

the list properties

int MDWParserInternal::State::m_numLinesByZone[3]

the number of paragraph by zones ( main, header, footer )

Referenced by State().

int MDWParserInternal::State::m_numPages

the number of page of the final document

ZoneInfo MDWParserInternal::State::m_zones[3]

the zones

The documentation for this struct was generated from the following file:

- MDWParser.cxx